File Shares - List

Gibt eine Liste aller Fabric-Dateifreigaben an einem bestimmten Speicherort zurück.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Fabric.Admin/fabricLocations/{location}/fileShares?api-version=2016-05-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Fabric.Admin/fabricLocations/{location}/fileShares?api-version=2016-05-01&$filter={$filter}&$top={$top}&$skip={$skip}

URI-Parameter

Name In Erforderlich Typ Beschreibung
location
path True

string

Speicherort der Ressource.

resourceGroupName
path True

string

Name der Ressourcengruppe.

subscriptionId
path True

string

Abonnementanmeldeinformationen, die das Microsoft Azure-Abonnement eindeutig identifizieren. Die Abonnement-ID ist Teil des URI für jeden Dienstaufruf.

api-version
query True

string

Client-API-Version.

$filter
query

string

OData-Filterparameter.

$skip
query

string

OData-Skip-Parameter.

$top
query

string

OData top-Parameter.

Antworten

Name Typ Beschreibung
200 OK

FileShareList

OKAY

404 Not Found

NICHT GEFUNDEN

Sicherheit

azure_auth

Die Autorisierung verwendet einen Azure Active Directory OAuth2-Fluss.

Typ: oauth2
Ablauf: implicit
Autorisierungs-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiche

Name Beschreibung
user_impersonation Identitätswechsel ihres Benutzerkontos

Beispiele

Returns a list of all fabric file shares at a certain location.

Beispielanforderung

GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourceGroups/System.local/providers/Microsoft.Fabric.Admin/fabricLocations/local/fileShares?api-version=2016-05-01

Beispiel für eine Antwort

{
  "value": [
    {
      "id": "/subscriptions/23a94a7f-64b3-42d8-807c-733284339015/resourceGroups/System.local/providers/Microsoft.Fabric.Admin/fabricLocations/local/fileShares/SU1_Infrastructure_1",
      "name": "SU1_Infrastructure_1",
      "type": "Microsoft.Fabric.Admin/fabricLocations/fileShares",
      "location": "local",
      "tags": {},
      "properties": {
        "associatedVolume": "05c1cbb7",
        "uncPath": "\\\\\\\\SU1FileServer.azurestack.local\\\\SU1_Infrastructure_1"
      }
    },
    {
      "id": "/subscriptions/23a94a7f-64b3-42d8-807c-733284339015/resourceGroups/System.local/providers/Microsoft.Fabric.Admin/fabricLocations/local/fileShares/SU1_Infrastructure_2",
      "name": "SU1_Infrastructure_2",
      "type": "Microsoft.Fabric.Admin/fabricLocations/fileShares",
      "location": "local",
      "tags": {},
      "properties": {
        "associatedVolume": "05c1cbb7",
        "uncPath": "\\\\\\\\SU1FileServer.azurestack.local\\\\SU1_Infrastructure_2"
      }
    },
    {
      "id": "/subscriptions/23a94a7f-64b3-42d8-807c-733284339015/resourceGroups/System.local/providers/Microsoft.Fabric.Admin/fabricLocations/local/fileShares/SU1_Infrastructure_3",
      "name": "SU1_Infrastructure_3",
      "type": "Microsoft.Fabric.Admin/fabricLocations/fileShares",
      "location": "local",
      "tags": {},
      "properties": {
        "associatedVolume": "05c1cbb7",
        "uncPath": "\\\\\\\\SU1FileServer.azurestack.local\\\\SU1_Infrastructure_3"
      }
    },
    {
      "id": "/subscriptions/23a94a7f-64b3-42d8-807c-733284339015/resourceGroups/System.local/providers/Microsoft.Fabric.Admin/fabricLocations/local/fileShares/SU1_ObjStore",
      "name": "SU1_ObjStore",
      "type": "Microsoft.Fabric.Admin/fabricLocations/fileShares",
      "location": "local",
      "tags": {},
      "properties": {
        "associatedVolume": "05c1cbb7",
        "uncPath": "\\\\\\\\SU1FileServer.azurestack.local\\\\SU1_ObjStore"
      }
    },
    {
      "id": "/subscriptions/23a94a7f-64b3-42d8-807c-733284339015/resourceGroups/System.local/providers/Microsoft.Fabric.Admin/fabricLocations/local/fileShares/SU1_Public",
      "name": "SU1_Public",
      "type": "Microsoft.Fabric.Admin/fabricLocations/fileShares",
      "location": "local",
      "tags": {},
      "properties": {
        "associatedVolume": "05c1cbb7",
        "uncPath": "\\\\\\\\SU1FileServer.azurestack.local\\\\SU1_Public"
      }
    },
    {
      "id": "/subscriptions/23a94a7f-64b3-42d8-807c-733284339015/resourceGroups/System.local/providers/Microsoft.Fabric.Admin/fabricLocations/local/fileShares/SU1_VmTemp",
      "name": "SU1_VmTemp",
      "type": "Microsoft.Fabric.Admin/fabricLocations/fileShares",
      "location": "local",
      "tags": {},
      "properties": {
        "associatedVolume": "05c1cbb7",
        "uncPath": "\\\\\\\\SU1FileServer.azurestack.local\\\\SU1_VmTemp"
      }
    }
  ]
}

Definitionen

Name Beschreibung
FileShare

Objekt, das Eigenschaften der Dateifreigaberessource enthält.

FileShareList

Seitenfähige Liste der Speicherorte für die Fabric-Dateifreigabe.

FileShare

Objekt, das Eigenschaften der Dateifreigaberessource enthält.

Name Typ Beschreibung
id

string

URI der Ressource.

location

string

Die Region, in der sich die Ressource befindet.

name

string

Der Name der Ressource.

properties.associatedVolume

string

Zugeordnete Volume-ID.

properties.uncPath

string

Der UNCPath für die Dateifreigabe.

tags

object

Liste der Schlüsselwertpaare.

type

string

Ressourcentyp.

FileShareList

Seitenfähige Liste der Speicherorte für die Fabric-Dateifreigabe.

Name Typ Beschreibung
value

FileShare[]

Liste der Fabric-Dateifreigaben.